org.apache.tools.ant.filters

## Class StripLineBreaks

- java.lang.Object
- - java.io.Reader
  - - java.io.FilterReader
    - - org.apache.tools.ant.filters.BaseFilterReader
      - - org.apache.tools.ant.filters.BaseParamFilterReader
        - - org.apache.tools.ant.filters.StripLineBreaks

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable, ChainableReader, Parameterizable

      public final class StripLineBreaks
      extends BaseParamFilterReader
      implements ChainableReader

  Filter to flatten the stream to a single line. Example:

      <striplinebreaks/>

  Or:

      <filterreader
         classname="org.apache.tools.ant.filters.StripLineBreaks"/>

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterReader

      `in`

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StripLineBreaks()` Constructor for "dummy" instances.
    `StripLineBreaks(java.io.Reader in)` Creates a new filtered reader.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.Reader` | `chain(java.io.Reader rdr)` Creates a new StripLineBreaks using the passed in Reader for instantiation.
    `int` | `read()` Returns the next character in the filtered stream, only including characters not in the set of line-breaking characters.
    `void` | `setLineBreaks(java.lang.String lineBreaks)` Sets the line-breaking characters.

    - ### Methods inherited from class org.apache.tools.ant.filters.BaseParamFilterReader

      `getParameters, setParameters`

    - ### Methods inherited from class org.apache.tools.ant.filters.BaseFilterReader

      `getInitialized, getProject, read, readFully, readLine, setInitialized, setProject, skip`

    - ### Methods inherited from class java.io.FilterReader

      `close, mark, markSupported, ready, reset`

    - ### Methods inherited from class java.io.Reader

      `read, read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StripLineBreaks

          public StripLineBreaks()

      Constructor for "dummy" instances.
      See Also:
        `BaseFilterReader.BaseFilterReader()`

    - #### StripLineBreaks

          public StripLineBreaks(java.io.Reader in)

      Creates a new filtered reader.
      Parameters:
        `in` - A Reader object providing the underlying stream. Must not be `null`.

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Returns the next character in the filtered stream, only including characters not in the set of line-breaking characters.
      Overrides:
        `read` in class `java.io.FilterReader`
      Returns:
        the next character in the resulting stream, or -1 if the end of the resulting stream has been reached
      Throws:
        `java.io.IOException` - if the underlying stream throws an IOException during reading

    - #### setLineBreaks

          public void setLineBreaks(java.lang.String lineBreaks)

      Sets the line-breaking characters.
      Parameters:
        `lineBreaks` - A String containing all the characters to be considered as line-breaking.

    - #### chain

          public java.io.Reader chain(java.io.Reader rdr)

      Creates a new StripLineBreaks using the passed in Reader for instantiation.
      Specified by:
        `chain` in interface `ChainableReader`
      Parameters:
        `rdr` - A Reader object providing the underlying stream. Must not be `null`.
      Returns:
        a new filter based on this configuration, but filtering the specified reader